\path[name path=p1] plot [domain=-2:2] function {x*x-1};
\path[name path=p2] plot [domain=-3:3] function {x/2+1};

\path[name intersections={of=p1 and p2,by=intersection}];

\path let \p1=(intersection-1) in coordinate (i1-up) at (\x1,3);
\path let \p1=(intersection-1) in coordinate (i1-down) at (\x1,-2);
\path let \p1=(intersection-1) in coordinate (i1-1d) at (\x1,-3);
\path let \p1=(intersection-2) in coordinate (i2-up) at (\x1,3);
\path let \p1=(intersection-2) in coordinate (i2-down) at (\x1,-2);
\path let \p1=(intersection-2) in coordinate (i2-1d) at (\x1,-3);

\newcommand{\drawconstraints}{
	\draw[thick] plot [domain=-2:2] function {x*x-1};
	\draw[thick] plot [domain=-3:3] function {x/2+1};
	\node at (-2.25,2.5) {\small $p_1$};
	\node at (2.75,1.9) {\small $p_2$};
}
